
From: "Hua Zhong" <hzhong@cisco.com>

Fix a token-pasting warning from recent gcc's


 include/linux/jbd.h |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN include/linux/jbd.h~jbd-warning-fix include/linux/jbd.h
--- 25/include/linux/jbd.h~jbd-warning-fix	2003-04-03 19:49:43.000000000 -0800
+++ 25-akpm/include/linux/jbd.h	2003-04-03 19:49:43.000000000 -0800
@@ -274,8 +274,9 @@ void buffer_assertion_failure(struct buf
 #define __journal_expect(expr, why...)					     \
 	do {								     \
 		if (!(expr)) {						     \
-			printk(KERN_ERR "EXT3-fs unexpected failure: %s;\n", # expr); \
-			printk(KERN_ERR ## why);			     \
+			printk(KERN_ERR					     \
+				"EXT3-fs unexpected failure: %s;\n",# expr); \
+			printk(KERN_ERR why);				     \
 		}							     \
 	} while (0)
 #define J_EXPECT(expr, why...)		__journal_expect(expr, ## why)

_
